OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.EXT.TextureEnvDot3

Contents

- Extension Support
- Enums

Description

Synopsis

- glGetEXTTextureEnvDot3 :: MonadIO m => m Bool
- gl_EXT_texture_env_dot3 :: Bool
- gl_DOT3_RGBA_EXT :: GLenum
- gl_DOT3_RGB_EXT :: GLenum

# Extension Support

glGetEXTTextureEnvDot3 :: MonadIO m => m Bool

Is the EXT_texture_env_dot3 extension supported?

gl_EXT_texture_env_dot3 :: Bool

Is the EXT_texture_env_dot3 extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTTextureEnvDot3` in those cases instead.

# Enums

gl_DOT3_RGBA_EXT :: GLenum

gl_DOT3_RGB_EXT :: GLenum